# detailDoc

### Overview

Parameters:&#x20;

* Document\`s token - string

Return:

* [docResponse](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docresponse) - In case of success
* Exception - In case of failure

To create this document we will need:

* set your apiToken;
* document\`s token.
* call the method.

### How to use:

Save your [apiToken](/espanol/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Set the original document\`s token:

<pre class="language-typescript"><code class="lang-typescript"><strong>const docToken: string = "ORIGINAL DOCUMENT TOKEN";
</strong></code></pre>

Call the detailDoc method to get the [DocResponse](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docresponse) return or an error message:

```typescript
async function exempleDetailDoc() {
            try {
                        docResponse: DocResponse = await new DocRequests(apiToken).detailDoc(docToken);
                        jsonDocResponse: string = new JsonConverter().docResponseToJson(docResponse);
                        console.log(jsonDocResponse);
                } catch(Err) {
                         console.log(Err);
                }
}
```

### Example:

<pre class="language-typescript"><code class="lang-typescript">import DocRequests from "sdk-node-typescript-zapsign/src/docs/DocRequests";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
<strong>
</strong><strong>const apiToken: string = "YOUR TOKEN";
</strong><strong>
</strong>const docToken: string = "ORIGINAL DOCUMENT TOKEN";

async function exempleDetailDoc() {
      try {
            const docResponse: DocResponse = await new DocRequests(apiToken).detailDoc(docToken);
            const jsonDocResponse: string = new JsonConverter().docResponseToJson(docResponse);
            console.log(jsonDocResponse);
         } catch(Err) {
            console.log(Err);
         }
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/espanol/facilitadores/sdks/typescript-sdk/documents-requests/detaildoc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
